Kepler - Bug #5415

module releasing and downloading by module manager should keep file mode.
05/30/2011 02:30 PM - jianwu jianwu

Status: Resolved Start date: 05/30/2011
Priority: Normal Due date:

Assignee: jianwu jianwu % Done: 0%
Category: build system Estimated time: 0.00 hour
Target version: 24.0 Spent time: 0.00 hour
Bugzilla-ld: 5415

Description

Currently, the modules to be released are compressed to be zip files, which will lose the file mode. Some modules have executable
files, such as the *.sh files in the master-slave module. Users have to change file mode by themselves. It should fix this problem if the
file compression is changed to rar file format.

History

#1 - 07/27/2012 01:30 PM - jianwu jianwu

it is fixed at version 30300. Now the file mode is set before zipping.

#2 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5415
